class Monster extends Actor {
  
  // Whether the monster has been hugged:
  boolean hugged;
    
  Monster(String race_name_, String biome_name_) {
    super(race_name_, biome_name_);
    actor_name = "monster";
    
    currentDialogue = new MonsterIntro();
    
    hugged = false;
    
    health = 3;
  }
  
  void display() {
    super.display();
    // If the monster is not dead and has not been hugged, display it's image
    if (!dead && !hugged) shape(actorShape, width/2, 200, 400, 400);
  }
  
  void action() {
    super.action();
  }
  
  void reset() {
    currentDialogue = new MonsterIntro();
  }
}
